import {cleanup, render} from '@testing-library/react'
import ActionButton from '.'

describe('button component for triggering actions', () => {
	afterEach(() => {
		cleanup()
	})

	it('should render a button element with a no-op action', () => {
		const result = render(<ActionButton />)
		const input = result.queryByRole('button')
		expect(input).not.toBeNull()
	})

	describe.each(['button', 'reset', 'submit'] as const)('on %p action', (type) => {
		it('should render a button element with a submit action', () => {
			const result = render(<ActionButton type={type} />)
			const input = result.queryByRole('button') as HTMLButtonElement
			expect(input.type).toBe(type)
		})
	})
})
