import {render, cleanup} from '@testing-library/react'
import TextInput from '.'

describe('single-line text input component', () => {
	afterEach(() => {
		cleanup()
	})

	it('should contain a text input element', () => {
		const result = render(<TextInput label="" name="" />)
		const input = result.queryByRole('textbox')
		expect(input).not.toBeNull()
	})

	it('should acquire a descriptive label', () => {
		const label = 'foo'
		const result = render(<TextInput label={label} name="" />)
		const input = result.queryByLabelText(label)
		expect(input).not.toBeNull()
	})
})
