import {FC, FormEventHandler} from 'react'
import styled from 'styled-components'
import TextInput from '../../../molecules/forms/TextInput'
import TextArea from '../../../molecules/forms/TextArea'
import ActionButton from '../../../molecules/forms/ActionButton'

const Form = styled('form')({
	display: 'grid',
	gap: '1rem',
})

type Props = {
	onSubmit?: FormEventHandler
}

const CreateRingtoneForm: FC<Props> = ({
	onSubmit,
}) => {
	return (
		<Form
			onSubmit={onSubmit}
			method="post"
			action="/api/a/create/ringtone"
		>
			<TextInput label="Name" name="name" block />
			<TextArea label="Data" name="data" block />
			<ActionButton
				type="submit"
				block
			>
				Post
			</ActionButton>
		</Form>
	)
}

export default CreateRingtoneForm
